Associations
Endpoints used to retrieve and manage attribute associations to colormaps
List object attribute associations
Colormap API
Version: 1.0
Get a list of all object attribute associations for a specified workspace and organization.
Parameters
Returns
200
Successful Response
Endpoint
GET
/colormap/orgs/{org_id}/workspaces/{workspace_id}/objects/{object_id}/associationsRequest
cURL
curl -X GET 'https://{service_host}/colormap/orgs/{org_id}/workspaces/{workspace_id}/objects/{object_id}/associations' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'
Response
{
"associations": [
{
"attribute_id": "string",
"colormap_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"colormap_uri": "https://example.com",
"created_at": "2024-07-29T15:51:28.071Z",
"created_by": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"modified_at": "2024-07-29T15:51:28.071Z",
"modified_by": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"self_link": "https://example.com",
"workspace_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
]
}
Create object attribute association
Colormap API
Version: 1.0
Create a new association for a colormap to an object attribute.
Parameters
{
"attribute_id": "string",
"colormap_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Returns
200
Successful Response
Endpoint
POST
/colormap/orgs/{org_id}/workspaces/{workspace_id}/objects/{object_id}/associationsRequest
cURL
curl -X POST 'https://{service_host}/colormap/orgs/{org_id}/workspaces/{workspace_id}/objects/{object_id}/associations' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'
Response
{
"attribute_id": "string",
"colormap_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"colormap_uri": "https://example.com",
"created_at": "2024-07-29T15:51:28.071Z",
"created_by": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"modified_at": "2024-07-29T15:51:28.071Z",
"modified_by": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"self_link": "https://example.com",
"workspace_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Create multiple object attribute associations
Colormap API
Version: 1.0
Create new associations for a colormap to multiple object attributes.
Parameters
{
"associations": [
{
"attribute_id": "string",
"colormap_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
]
}
Returns
200
Successful Response
Endpoint
POST
/colormap/orgs/{org_id}/workspaces/{workspace_id}/objects/{object_id}/associations/batchRequest
cURL
curl -X POST 'https://{service_host}/colormap/orgs/{org_id}/workspaces/{workspace_id}/objects/{object_id}/associations/batch' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'
Response
{
"associations": [
{
"attribute_id": "string",
"colormap_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"colormap_uri": "https://example.com",
"created_at": "2024-07-29T15:51:28.071Z",
"created_by": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"modified_at": "2024-07-29T15:51:28.071Z",
"modified_by": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"self_link": "https://example.com",
"workspace_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
]
}
Get attribute association by ID
Colormap API
Version: 1.0
Returns a specified object attribute association by its ID, for a specified workspace and organization.
Parameters
Returns
200
Successful Response
Endpoint
GET
/colormap/orgs/{org_id}/workspaces/{workspace_id}/objects/{object_id}/associations/{association_id}Request
cURL
curl -X GET 'https://{service_host}/colormap/orgs/{org_id}/workspaces/{workspace_id}/objects/{object_id}/associations/{association_id}' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'
Response
{
"attribute_id": "string",
"colormap_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"colormap_uri": "https://example.com",
"created_at": "2024-07-29T15:51:28.071Z",
"created_by": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"modified_at": "2024-07-29T15:51:28.071Z",
"modified_by": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"self_link": "https://example.com",
"workspace_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}